## libpolyclipping 6.0.0

=== cpp/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
PROJECT(polyclipping)

SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "Release type")
SET(CMAKE_INSTALL_LIBDIR lib${LIB_SUFFIX})

SET(BUILD_SHARED_LIBS ON CACHE BOOL
    "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)")
ADD_LIBRARY(polyclipping clipper.cpp)

# The header name clipper.hpp is too generic, so install in a subdirectory
INSTALL (FILES clipper.hpp DESTINATION include/polyclipping)
INSTALL (TARGETS polyclipping LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

SET_TARGET_PROPERTIES(polyclipping PROPERTIES VERSION 12.0.0 SOVERSION 12 )

=== debian/changelog ===
libpolyclipping (6.0.0-2) unstable; urgency=low

  * Fix pkgconfig include path.

 -- Bas Wijnen <wijnen@debian.org>  Sat, 09 Nov 2013 18:01:35 -0500

libpolyclipping (6.0.0-1) unstable; urgency=low

  * Initial Release. (Closes: #728542)
  * Add pkgconfig file.

 -- Bas Wijnen <wijnen@debian.org>  Sat, 09 Nov 2013 09:45:37 -0500

=== debian/control ===
Source: libpolyclipping
Section: libs
Priority: optional
Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.4

Package: libpolyclipping12
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: polygon clipping, polygon offsetting and polyline offsetting library
 The Clipper library performs polygon clipping, polygon offsetting and polyline
 offsetting. All four boolean clipping operations are supported - intersection,
 union, difference and exclusive-or. Also, there are no restrictions on the
 types of polygons that can be clipped - they can have holes, be
 self-intersecting, have coincident edges etc.

Package: libpolyclipping-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libpolyclipping12 (= ${binary:Version})
Description: polygon clipping, polygon offsetting and polyline offsetting library
 The Clipper library performs polygon clipping, polygon offsetting and polyline
 offsetting. All four boolean clipping operations are supported - intersection,
 union, difference and exclusive-or. Also, there are no restrictions on the
 types of polygons that can be clipped - they can have holes, be
 self-intersecting, have coincident edges etc.
 .
 These are the files needed for compiling programs with libpolyclipping.

## libpolyclipping 6.1.3a

=== cpp/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
PROJECT(polyclipping)

SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "Release type")
# The header name clipper.hpp is too generic, so install in a subdirectory
SET(CMAKE_INSTALL_INCDIR "${CMAKE_INSTALL_PREFIX}/include/polyclipping")
SET(CMAKE_INSTALL_LIBDIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
SET(CMAKE_INSTALL_PKGCONFIGDIR "${CMAKE_INSTALL_PREFIX}/share/pkgconfig")
SET(PCFILE "${CMAKE_CURRENT_BINARY_DIR}/polyclipping.pc")

SET(BUILD_SHARED_LIBS ON CACHE BOOL
    "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)")
ADD_LIBRARY(polyclipping clipper.cpp)

CONFIGURE_FILE (polyclipping.pc.cmakein "${PCFILE}" @ONLY)

INSTALL (FILES clipper.hpp DESTINATION "${CMAKE_INSTALL_INCDIR}")
INSTALL (TARGETS polyclipping LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
INSTALL (FILES "${PCFILE}" DESTINATION "${CMAKE_INSTALL_PKGCONFIGDIR}")

SET_TARGET_PROPERTIES(polyclipping PROPERTIES VERSION 16.0.0 SOVERSION 16 )

=== debian/changelog ===
libpolyclipping (6.1.3a-2) unstable; urgency=medium

  * Actually change maintainer to 3-D printer team.

 -- Bas Wijnen <wijnen@debian.org>  Tue, 04 Feb 2014 20:32:43 -0500

libpolyclipping (6.1.3a-1) unstable; urgency=medium

  * New upstream release.
  * Change maintainer to 3-D printer team, add myself as uploader.
  * Updated standards version to 3.9.5.  (No changes needed.)

 -- Bas Wijnen <wijnen@debian.org>  Fri, 24 Jan 2014 00:43:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libpolyclipping
 Section: libs
 Priority: optional
-Maintainer: Bas Wijnen <wijnen@debian.org>
+Maintainer: 3-D printer team <3dprinter-general@lists.alioth.debian.org>
+Uploaders: Bas Wijnen <wijnen@debian.org>
 Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
-Package: libpolyclipping12
+Package: libpolyclipping16
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: polygon clipping, polygon offsetting and polyline offsetting library
@@ -18,7 +19,7 @@
 Package: libpolyclipping-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpolyclipping12 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpolyclipping16 (= ${binary:Version})
 Description: polygon clipping, polygon offsetting and polyline offsetting library
  The Clipper library performs polygon clipping, polygon offsetting and polyline
  offsetting. All four boolean clipping operations are supported - intersection,

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2003-2007 Bas Wijnen <wijnen@debian.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

%:
	dh $@

override_dh_auto_build:
	cmake cpp -DCMAKE_INSTALL_PREFIX=/usr

override_dh_auto_clean:
	dh_auto_clean
	rm -rf CMakeCache.txt CMakeFiles cmake_install.cmake Makefile polyclipping.pc install_manifest.txt

## libpolyclipping 6.4.2

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -18,4 +18,4 @@
 INSTALL (TARGETS polyclipping LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
 INSTALL (FILES "${PCFILE}" DESTINATION "${CMAKE_INSTALL_PKGCONFIGDIR}")
 
-SET_TARGET_PROPERTIES(polyclipping PROPERTIES VERSION 16.0.0 SOVERSION 16 )
+SET_TARGET_PROPERTIES(polyclipping PROPERTIES VERSION 22.0.0 SOVERSION 22 )

=== debian/changelog ===
libpolyclipping (6.4.2-9) unstable; urgency=medium

  * Fix compatibility with cmake 4. (Closes: #1113188)

 -- Christoph Berg <myon@debian.org>  Sun, 26 Oct 2025 20:45:52 +0100

libpolyclipping (6.4.2-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Move source package lintian overrides to debian/source.
  * Set upstream metadata fields: Archive, Bug-Database.
  * Update standards version to 4.7.0, no changes needed.
  * Update lintian override info format in d/source/lintian-overrides
    on line 4-5.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Jun 2024 00:24:36 +0200

libpolyclipping (6.4.2-7) unstable; urgency=medium

  * Team upload.
  * Sync maintainer name with the rest of the 3-D printing team.
  * Add debian/salsa-ci.yml.
  * Remove symbols file, it costs much more to maintain than it gains in
    practice. Fixes build failure with GCC 10. (Closes: #957466)
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Fri, 31 Jul 2020 21:02:39 +0200

libpolyclipping (6.4.2-6) unstable; urgency=medium

  * Fixed path variable changes in pkg-config script, introduced by 6.4.2-4
    (Closes: #917057).

 -- Gregor Riepl <onitake@gmail.com>  Fri, 04 Jan 2019 13:26:48 +0100

libpolyclipping (6.4.2-5) unstable; urgency=medium

  * Marked 64bit specific symbols as optional and added 32bit symbols
    (Closes: #916213).

 -- Gregor Riepl <onitake@gmail.com>  Wed, 12 Dec 2018 08:47:38 +0000

libpolyclipping (6.4.2-4) unstable; urgency=medium

  [Gregor Riepl]
  * Migrated to salsa
  * Updated standards
  * Cleaned up build and installation rules
  * Added multi-arch flags
  * Added symbols file

  [Helmut Grohne]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
    Closes: #915267

 -- Gregor Riepl <onitake@gmail.com>  Tue, 04 Dec 2018 18:18:58 +0100

libpolyclipping (6.4.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 17 Oct 2017 06:33:36 +0200

libpolyclipping (6.4.2-2) experimental; urgency=medium

  * Added debian/source.lintian-overrides to tell the automatic upload
    checker that some lintian errors are expected.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 04 Oct 2017 07:49:07 +0000

libpolyclipping (6.4.2-1) experimental; urgency=medium

  * Added Homepage and Vcs-* fields to d/control.
  * Added gbp.conf file to enfore use of pristine-tar.
  * New upstream version 6.4.2.
    - New SONAME, rename libpolyclipping16 to libpolyclipping22.
    - Removed pkconfig-fix patch now included upstream.
  * Updated Standards-Versoin from 3.9.5 to 4.1.1.
  * Added myself and Gregor as uploaders.
  * Improved debian/copyright a bit.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 04 Oct 2017 06:09:09 +0000

=== debian/control ===
Source: libpolyclipping
Section: libs
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Bas Wijnen <wijnen@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.0
Homepage: http://www.angusj.com/delphi/clipper.php
Vcs-Git: https://salsa.debian.org/3dprinting-team/libpolyclipping.git
Vcs-Browser: https://salsa.debian.org/3dprinting-team/libpolyclipping

Package: libpolyclipping22
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Polygon and line clipping and offsetting library (shared library)
 The Clipper library performs polygon clipping, polygon offsetting and polyline
 offsetting. All four boolean clipping operations are supported - intersection,
 union, difference and exclusive-or. Also, there are no restrictions on the
 types of polygons that can be clipped - they can have holes, be
 self-intersecting, have coincident edges etc.

Package: libpolyclipping-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libpolyclipping22 (= ${binary:Version})
Description: Polygon and line clipping and offsetting library (development files)
 The Clipper library performs polygon clipping, polygon offsetting and polyline
 offsetting. All four boolean clipping operations are supported - intersection,
 union, difference and exclusive-or. Also, there are no restrictions on the
 types of polygons that can be clipped - they can have holes, be
 self-intersecting, have coincident edges etc.
 .
 These are the files needed for compiling programs with libpolyclipping.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 # Copyright 2003-2007 Bas Wijnen <wijnen@debian.org>
+# Copyright 2018 Gregor Riepl <onitake@gmail.com>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,12 +15,13 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
+export DH_VERBOSE = 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 %:
-	dh $@
+	dh $@ --buildsystem=cmake --sourcedirectory=cpp
 
-override_dh_auto_build:
-	cmake cpp -DCMAKE_INSTALL_PREFIX=/usr
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf CMakeCache.txt CMakeFiles cmake_install.cmake Makefile polyclipping.pc install_manifest.txt
+override_dh_auto_configure:
+	dh_auto_configure $@ -- -DCMAKE_POLICY_VERSION_MINIMUM=3.10
